{% extends "base.html" %} {% block links %} {{ super() }} {% endblock %} {%
block title %} {{ offre.titre }} {% endblock %} {% block header %} {% include
"sub_templates/header.html" %} {% endblock %} {% block main %}
<h1 class="text-2xl font-semibold text-center mb-4">{{ offre.titre }}</h1>

<div class="flex gap-5">
  <section class="shadow rounded px-4 py-3 w-1/3">
    <h2 class="text-lg font-semibold mb-2">Infos de l'entreprise</h2>

    <table class="w-full rounded-lg overflow-hidden border border-collapse">
      <tr class="bg-gray-50 text-gray-900 text-sm w-full">
        <th
          class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden"
        >
          Nom
        </th>
        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
          <a
            href="{{ url_for('company', id=offre.company.id) }}"
            class="text-[var(--blue)] underline"
            >{{ offre.company.name }}</a
          >
        </td>
      </tr>

      <tr class="bg-gray-50 text-gray-900 text-sm w-full">
        <th
          class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden"
        >
          Adresse complète
        </th>
        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
          {{ offre.company.address }}, {{ offre.company.cpostal }} - {{ offre.company.ville }}
        </td>
      </tr>
      <tr class="bg-gray-50 text-gray-900 text-sm w-full">
        <th
          class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden"
        >
          Numéro de téléphone
        </th>
        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
          {{ offre.company.contact_phone }}
        </td>
      </tr>

      <tr class="bg-gray-50 text-gray-900 text-sm w-full">
        <th
          class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden"
        >
          Email
        </th>
        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
          {{ offre.company.contact_email }}
        </td>
      </tr>

      <tr class="bg-gray-50 text-gray-900 text-sm w-full">
        <th
          class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden"
        >
          Numéro SIRET
        </th>
        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
          {{ offre.company.siret }}
        </td>
      </tr>
    </table>

    <h2 class="text-lg font-semibold mb-2 mt-5">Infos du responsable</h2>

    <table class="w-full rounded-lg overflow-hidden border border-collapse">
      <tr class="bg-gray-50 text-gray-900 text-sm w-full">
        <th
          class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden"
        >
          Nom
        </th>
        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
          {{ offre.company.responsable.first_name }} {{ offre.company.responsable.last_name }}
        </td>
      </tr>
      <tr class="bg-gray-50 text-gray-900 text-sm w-full">
        <th
          class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden"
        >
          Numéro de téléphone
        </th>
        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
          {{ offre.company.responsable.phone_number }}
        </td>
      </tr>

      <tr class="bg-gray-50 text-gray-900 text-sm w-full">
        <th
          class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden"
        >
          Email
        </th>
        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
          {{ offre.company.responsable.email }}
        </td>
      </tr>
    </table>
  </section>

  <section class="shadow rounded px-4 py-3">
    <table
      class="w-full rounded-lg overflow-hidden border border-collapse mt-3"
    >
      <tr class="bg-gray-50 text-gray-900 text-sm w-full">
        <th
          class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden"
        >
          Durée
        </th>
        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
          {{ offre.weeks_number }} semaines
        </td>
      </tr>

      <tr class="bg-gray-50 text-gray-900 text-sm w-full">
        <th
          class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden"
        >
          Type d'offre
        </th>
        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
          {{ offre.offre_type.name }}
        </td>
      </tr>

      <tr class="bg-gray-50 text-gray-900 text-sm w-full">
        <th
          class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden"
        >
          Date de publication
        </th>
        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
          {{ offre.publication_date }}
        </td>
      </tr>

      <tr class="bg-gray-50 text-gray-900 text-sm w-full">
        <th
          class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden"
        >
          Description de la mission
        </th>
        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
          {{ offre.description }}
        </td>
      </tr>

      <tr class="bg-gray-50 text-gray-900 text-sm w-full">
        <th
          class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden"
        >
          Référence de l'offre
        </th>
        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
          {{ offre.reference }}
        </td>
      </tr>

      {% if current_user.role_id != 1 %}
      <tr class="bg-gray-50 text-gray-900 text-sm w-full">
        <th
          class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden"
        >
          Nombre de candidats
        </th>
        <td class="px-2.5 py-2 overflow-hidden w-[70%]">
          {{ offre.nb_historics }}
        </td>
      </tr>
      {% endif %}
    </table>
  </section>
</div>
<div class="flex mx-auto gap-3 justify-center p-3 mt-2">
  {% if current_user.role_id == 1 %} {% if am_i_stagiaire() ==
  offre.offre_type.id %} {% if offre.is_token != True %} {% if offre.i_applied
  != True %} {% if offre.is_accepted == True %}
  <button
    onclick="confirm('Êtes-vous sûr de vouloir postuler à cette offre ? Vous aurez 24 heures pour envoyer votre CV et votre lettre de motivation à l\'adresse email de l\'entreprise.')?document.location.href=`{{ url_for('apply_done', id=offre.id) }}`:null"
    class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex"
  >
    Postuler
  </button>
  {% endif %} {% else %}
  <span
    class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex text-green-700 opacity-50 pointer-events-none"
  >
    J'ai déjà postulé
  </span>
  {% endif %} {% endif %} {% else %}
  <p
    class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex text-red-700 opacity-50 pointer-events-none"
  >
    Votre formation ne correspond pas à cette
    offre .
  </p>
  {% endif %}

  <a
    class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex"
    href="{{ url_for('add_problem') }}"
  >
    Un problème ?
  </a>
  {% elif current_user.role_id == 3 %}
  <a
    class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex"
    href="{{ url_for('edit_offre', id=offre.id) }}"
  >
    Modifier l'offre
  </a>
  <a
    class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex"
    href="{{ url_for('delete_offre', id=offre.id) }}"
  >
    Supprimer l'offre
  </a>
  {% endif %} {% if current_user.role_id != 1 and offre.is_accepted != True %}
  <button
    onclick="confirm('Êtes-vous sûr de vouloir accepter cette offre ?')?document.location.href=`{{ url_for('accept_offre', offre_id=offre.id) }}`:null"
    class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit justify-center flex"
  >
    Accepter cette offre
  </button>
  {% endif %}
</div>
{% endblock %} {% block footer %} {% include "sub_templates/footer.html" %} {%
endblock footer%} {% block script %} {{ super() }} {% endblock %}
